<header title="{{name}}"></header>

<ion-content>
  <div class="bg-white">
    <div class="position-relative text-align-center h-100 w-100" *ngIf="!loading && videos_data.length == 0">
      <h3>No Data Found</h3>
    </div>

    <div *ngFor="let video of videos_data" class="quiz-categories" (click)=openVideo(video.videotitle,video.videoimage,video.videourl,video.id)>
      <!-- <h3>{{item.title}}</h3> -->
      <img [src]="environment.imageUrl + video.videoimage" class="img-container">
    </div>
  </div>

    <!-- ​REFRESHER -->
  <ion-refresher slot="fixed" (ionRefresh)="refreshData($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>

  <!-- INFINITE SCROLL -->
  <ion-infinite-scroll *ngIf="!loading && currentPage<lastPage" threshold="100px" (ionInfinite)="loadMoreData(1, $event)">
    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading more items...">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>
</ion-content>
<div class="loading-container" [ngClass]="{'busy': loaderService?.isBusy}">
  <div class="loading-wrapper-c">
    <div class="backdrop"></div>
    <div class="image">
      </div>
    <img src="assets/img/icon.png" class="loader_img">
  </div>
</div>